summaryrefslogtreecommitdiffstats
path: root/build-static.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-static.sh')
-rwxr-xr-xbuild-static.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/build-static.sh b/build-static.sh
new file mode 100755
index 0000000..de05b26
--- /dev/null
+++ b/build-static.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+###############################################
+# #
+# fbsplash static builder using qmake #
+# #
+###############################################
+
+QT_VERSION=QtEmbedded-4.7.2
+SOURCE_DIR=src
+
+if [ "$1" = "-c" ]
+then
+ [ -d bin ] && rm -rf bin
+ [ -d build ] && rm -rf build
+fi
+
+if [ ! -f ${SOURCE_DIR}/fbsplash.pro ]
+then
+ echo "No 'fbsplash.pro' found!"
+ exit 1
+fi
+
+cd ${SOURCE_DIR}
+
+/usr/local/Trolltech/${QT_VERSION}/bin/qmake && make
+
+strip ../bin/fbsplash
+
+cd - &>/dev/null